2019-03-26 21:21 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002330NetSurfLayoutpublic2016-02-16 13:51
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002330: Crash on rendering web page
DescriptionI get repeated crashes on attempting to render https://www.piano-tuners.org/history/piano-tuner-history.html - the page downloads, then kills Netsurf when it gets to the 'processing' stage.
Additional InformationIyonix Aria, RISC OS 5.20

The log file indicates that it's a problem with calculating the layout.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #2820
URL of problem pagehttps://www.piano-tuners.org/history/piano-tuner-history.html
Attached Files
  • ? file icon Log (5,221 bytes) 2015-07-03 18:40 -
    "render/layout.c", line 5128: layout_calculate_descendant_bboxes: Assertion failed: (box->width != UNKNOWN_WIDTH) && (box->height != AUTO)
    http_proxy:0
    http_proxy_host:
    http_proxy_port:8080
    http_proxy_auth:0
    http_proxy_auth_user:
    http_proxy_auth_pass:
    http_proxy_noproxy:localhost
    font_size:130
    font_min_size:90
    font_sans:Homerton
    font_serif:Trinity
    font_mono:Corpus
    font_cursive:Churchill
    font_fantasy:Sulikow
    accept_language:en
    accept_charset:
    memory_cache_size:67213721
    disc_cache_size:0
    disc_cache_age:28
    block_advertisements:1
    do_not_track:0
    minimum_gif_delay:10
    send_referer:1
    foreground_images:1
    background_images:1
    animate_images:1
    enable_javascript:0
    script_timeout:10
    expire_url:28
    font_default:1
    ca_bundle:NetSurf:Resources.ca-bundle
    ca_path:
    cookie_file:NetSurf:Cookies
    cookie_jar:<Choices$Write>.WWW.NetSurf.Cookies
    homepage_url:http://www.google.co.uk/
    search_url_bar:0
    search_provider:0
    url_suggestion:1
    window_x:0
    window_y:0
    window_width:0
    window_height:0
    window_screen_width:0
    window_screen_height:0
    toolbar_status_size:7161
    scale:100
    incremental_reflow:0
    min_reflow_period:100
    core_select_menu:0
    max_fetchers:24
    max_fetchers_per_host:5
    max_cached_fetch_handles:6
    suppress_curl_debug:1
    target_blank:1
    button_2_tab:1
    margin_top:10
    margin_bottom:10
    margin_left:10
    margin_right:10
    export_scale:70
    suppress_images:0
    remove_backgrounds:0
    enable_loosening:1
    enable_PDF_compression:1
    enable_PDF_password:0
    sys_colour_ActiveBorder:000000
    sys_colour_ActiveCaption:eeeebb
    sys_colour_AppWorkspace:dddddd
    sys_colour_Background:dddddd
    sys_colour_ButtonFace:dddddd
    sys_colour_ButtonHighlight:555555
    sys_colour_ButtonShadow:777777
    sys_colour_ButtonText:000000
    sys_colour_CaptionText:000000
    sys_colour_GrayText:999999
    sys_colour_Highlight:000000
    sys_colour_HighlightText:ffffff
    sys_colour_InactiveBorder:000000
    sys_colour_InactiveCaption:bbbbbb
    sys_colour_InactiveCaptionText:000000
    sys_colour_InfoBackground:eeeebb
    sys_colour_InfoText:000000
    sys_colour_Menu:ffffff
    sys_colour_MenuText:000000
    sys_colour_Scrollbar:bbbbbb
    sys_colour_ThreeDDarkShadow:777777
    sys_colour_ThreeDFace:dddddd
    sys_colour_ThreeDHighlight:ffffff
    sys_colour_ThreeDLightShadow:ffffff
    sys_colour_ThreeDShadow:777777
    sys_colour_Window:dddddd
    sys_colour_WindowFrame:000000
    sys_colour_WindowText:000000
    theme:IYONIX
    language:en
    plot_fg_quality:8
    plot_bg_quality:4
    history_tooltip:1
    toolbar_show_buttons:1
    toolbar_show_address:1
    toolbar_show_throbber:1
    toolbar_browser:0123|58|6
    toolbar_hotlist:401|23
    toolbar_history:01|23
    toolbar_cookies:0|12
    window_stagger:1
    window_size_clone:1
    buffer_animations:1
    buffer_everything:0
    open_browser_at_startup:0
    no_plugins:0
    block_popups:0
    strip_extensions:1
    confirm_overwrite:1
    confirm_hotlist_remove:1
    url_path:NetSurf:URL
    url_save:<Choices$Write>.WWW.NetSurf.URL
    hotlist_path:NetSurf:Hotlist
    hotlist_save:<Choices$Write>.WWW.NetSurf.Hotlist
    recent_path:NetSurf:Recent
    recent_save:<Choices$Write>.WWW.NetSurf.Recent
    theme_path:NetSurf:Themes
    theme_save:<Choices$Write>.WWW.NetSurf.Themes
    thumbnail_iconise:1
    interactive_help:1
    external_hotlists:0
    external_hotlist_app:
    
    Fatal signal received: Aborted
    
    Stack backtrace:
    
    Running thread 0x6a8798
      (  6b06ac) pc:   499b6c lr:    b4eac sp:   6b06b0  __write_backtrace()
      (  6b06d4) pc:    b4e2c lr:   49a490 sp:   6b06d8  ro_gui_signal()
      (  6b06fc) pc:   49a478 lr:   49a16c sp:   6b0700  __unixlib_exec_sig()
      (  6b076c) pc:   499c84 lr:   4de5c8 sp:   6b0770  __unixlib_raise_signal()
      (  6b077c) pc:   4de5ac lr:   4a2130 sp:   6b0780  raise()
      (  6b0790) pc:   4a20f4 lr:    a72a0 sp:   6b0794  abort()
      (  6b07ac) pc:    a725c lr:    a206c sp:   6b07b0  __assert2()
      (  6b07d0) pc:    a1df8 lr:    a1ee8 sp:   6b07d4  layout_calculate_descendant_bboxes()
      (  6b07f4) pc:    a1df8 lr:    a1ee8 sp:   6b07f8  layout_calculate_descendant_bboxes()
      (  6b0818) pc:    a1df8 lr:    a1ee8 sp:   6b081c  layout_calculate_descendant_bboxes()
      (  6b083c) pc:    a1df8 lr:    a1ee8 sp:   6b0840  layout_calculate_descendant_bboxes()
      (  6b0860) pc:    a1df8 lr:    a1ee8 sp:   6b0864  layout_calculate_descendant_bboxes()
      (  6b0884) pc:    a1df8 lr:    a1ee8 sp:   6b0888  layout_calculate_descendant_bboxes()
      (  6b08a8) pc:    a1df8 lr:    a1f44 sp:   6b08ac  layout_calculate_descendant_bboxes()
      (  6b08cc) pc:    a1df8 lr:    a2208 sp:   6b08d0  layout_calculate_descendant_bboxes()
      (  6b08f4) pc:    a209c lr:    88088 sp:   6b08f8  layout_document()
      (  6b0914) pc:    88054 lr:    2d490 sp:   6b0918  html_reformat()
      (  6b097c) pc:    2d414 lr:    2d5a8 sp:   6b0980  content__reformat()
      (  6b0998) pc:    2d580 lr:    55050 sp:   6b099c  content_reformat()
      (  6b09d8) pc:    54f70 lr:    39624 sp:   6b09dc  browser_window_callback()
      (  6b0a20) pc:    395cc lr:    2d1e4 sp:   6b0a2c  hlcache_content_callback()
      (  6b0a70) pc:    2d170 lr:    2d6b0 sp:   6b0a7c  content_broadcast()
      (  6b0ad8) pc:    2d654 lr:    8aae8 sp:   6b0adc  content_set_ready()
      (  6b0afc) pc:    8a968 lr:    7fb40 sp:   6b0b00  html_box_convert_done()
      (  6b0c80) pc:    7f01c lr:    c8a58 sp:   6b0c84  convert_xml_to_box()
      (  6b0ca0) pc:    c8a10 lr:     9c0c sp:   6b0ca4  schedule_run()
      (  6b0fe8) pc:     9388 lr:   4a8844 sp:   6b0fec  main()
    
    
    ? file icon Log (5,221 bytes) 2015-07-03 18:40 +
  • gif file icon abpt-nav-logo.gif (1,438 bytes) 2015-07-08 22:17 -
    gif file icon abpt-nav-logo.gif (1,438 bytes) 2015-07-08 22:17 +
  • html file icon test.html (619 bytes) 2015-07-08 22:17

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000869

Vincent Sanders (administrator)

layout assert while calculating descendant bounding boxes

$ ./nsgtk -V rlog https://www.piano-tuners.org/history/piano-tuner-history.html

nsgtk: render/layout.c:5131: layout_calculate_descendant_bboxes: Assertion `(box->width != 2147483647) && (box->height != (-2147483647 - 1))' failed.

adding some debug it seems that box->width is UNKNOWN_WIDTH (height is 0)

Its a recursive call in from the "non float" child loop in layout_calculate_descendant_bboxes (lines circa layout.c:5188 ) but its deep in the box stack
Vincent Sanders

~0000870

Vincent Sanders (administrator)

gdb from the failing box, up

(gdb) p box
$2 = (struct box *) 0x106c570
(gdb) p *box
$1 = {type = BOX_BLOCK, flags = 0, styles = 0x0, style = 0x106c210, x = 0, y = 0, width = 2147483647,
  height = 0, descendant_x0 = 0, descendant_y0 = 0, descendant_x1 = 0, descendant_y1 = 0, margin = {0,
    0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}, {
      style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}, {style = CSS_BORDER_STYLE_INHERIT, c = 0,
      width = 0}, {style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}}, scroll_x = 0x0, scroll_y = 0x0,
  min_width = 0, max_width = 2147483647, byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0,
  target = 0x0, title = 0x0, columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x0,
  children = 0x0, last = 0x0, parent = 0x106c360, inline_end = 0x0, float_children = 0x0,
  next_float = 0x0, float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0, node = 0x0}

(gdb) p *box->parent
$3 = {type = BOX_BLOCK, flags = 2112, styles = 0x10981f0, style = 0x106c110, x = 20, y = 0, width = 119,
  height = 59, descendant_x0 = 0, descendant_y0 = 0, descendant_x1 = 119, descendant_y1 = 59, margin = {
    0, 20, 0, 20}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE, c = 4287137928,
      width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4287137928, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4287137928, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4287137928, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 96, max_width = 96,
  byte_offset = 0, text = 0x10963b0 "abpt logo.gif - 2099 Bytes", length = 26, space = 0, href = 0x0,
  target = 0x0, title = 0x0, columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x0,
  children = 0x106c570, last = 0x106c570, parent = 0x106bda0, inline_end = 0x0, float_children = 0x0,
  next_float = 0x0, float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x10c2be0, object_params = 0x0, iframe = 0x0,
  node = 0x112c960}

(gdb) p *box->parent->parent
$4 = {type = BOX_BLOCK, flags = 2112, styles = 0xe74390, style = 0x106bc50, x = 0, y = 0, width = 159,
  height = 59, descendant_x0 = 0, descendant_y0 = -9, descendant_x1 = 159, descendant_y1 = 59, margin = {
    0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE, c = 4278190080,
      width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 96, max_width = 96,
  byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0, target = 0x0, title = 0x0,
  columns = 1, rows = 1, start_column = 0, next = 0x106c8b0, prev = 0x0, children = 0x106c360,
  last = 0x106c360, parent = 0x106bac0, inline_end = 0x0, float_children = 0x0, next_float = 0x0,
  float_container = 0x0, clear_level = 0, list_marker = 0x106bf80, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0,
  node = 0x112c810}

(gdb) p *box->parent->parent->parent
$5 = {type = BOX_BLOCK, flags = 2112, styles = 0x1036a00, style = 0x106b970, x = 0, y = 0, width = 159,
  height = 1905, descendant_x0 = 0, descendant_y0 = -9, descendant_x1 = 159, descendant_y1 = 1905,
  margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 96, max_width = 348,
  byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0, target = 0x0, title = 0x0,
  columns = 1, rows = 1, start_column = 0, next = 0x13d4740, prev = 0x0, children = 0x106bda0,
  last = 0x13d3a00, parent = 0x106b7e0, inline_end = 0x0, float_children = 0x0, next_float = 0x0,
  float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0, usemap = 0x0,
  id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0, node = 0x112c5e0}

(gdb) p *box->parent->parent->parent->parent
$6 = {type = BOX_BLOCK, flags = 2112, styles = 0xe95eb0, style = 0x106b690, x = 0, y = 0, width = 159,
  height = 1948, descendant_x0 = 0, descendant_y0 = -9, descendant_x1 = 159, descendant_y1 = 1948,
  margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 96, max_width = 348,
  byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0, target = 0x0, title = 0x0,
  columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x0, children = 0x106bac0,
  last = 0x13d4c00, parent = 0x106b140, inline_end = 0x0, float_children = 0x0, next_float = 0x0,
  float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0, usemap = 0x0,
  id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0, node = 0x112c090}

(gdb) p *box->parent->parent->parent->parent->parent
$7 = {type = BOX_BLOCK, flags = 2112, styles = 0xff36a0, style = 0x106aff0, x = 0, y = 0, width = 159,
  height = 1948, descendant_x0 = 0, descendant_y0 = -9, descendant_x1 = 159, descendant_y1 = 1948,
  margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 96, max_width = 348,
  byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0, target = 0x0, title = 0x0,
  columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x0, children = 0x106b7e0,
  last = 0x106b7e0, parent = 0x106b500, inline_end = 0x0, float_children = 0x0, next_float = 0x0,
  float_container = 0x1064be0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0,
  node = 0x112bb40}
Vincent Sanders

~0000871

Vincent Sanders (administrator)

(gdb) p *box->parent->parent->parent->parent->parent->parent
$8 = {type = BOX_FLOAT_LEFT, flags = NEW_LINE, styles = 0x0, style = 0x0, x = 10, y = 315, width = 159,
  height = 1948, descendant_x0 = 0, descendant_y0 = 0, descendant_x1 = 159, descendant_y1 = 1948,
  margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_INHERIT, c = 0,
      width = 0}, {style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}, {
      style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}, {style = CSS_BORDER_STYLE_INHERIT, c = 0,
      width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 96, max_width = 348, byte_offset = 0,
  text = 0x0, length = 0, space = 2147483647, href = 0x0, target = 0x0, title = 0x0, columns = 1,
  rows = 1, start_column = 0, next = 0x13d63e0, prev = 0x0, children = 0x106b140, last = 0x106b140,
  parent = 0x106b320, inline_end = 0x0, float_children = 0x0, next_float = 0x0,
  float_container = 0x1064be0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0, node = 0x0}
(gdb) p *box->parent->parent->parent->parent->parent->parent->parent
$9 = {type = BOX_INLINE_CONTAINER, flags = 0, styles = 0x0, style = 0x0, x = 0, y = 0, width = 963,
  height = 0, descendant_x0 = 0, descendant_y0 = 0, descendant_x1 = 963, descendant_y1 = 0, margin = {0,
    0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}, {
      style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}, {style = CSS_BORDER_STYLE_INHERIT, c = 0,
      width = 0}, {style = CSS_BORDER_STYLE_INHERIT, c = 0, width = 0}}, scroll_x = 0x0, scroll_y = 0x0,
  min_width = 96, max_width = 18688, byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0,
  target = 0x0, title = 0x0, columns = 1, rows = 1, start_column = 0, next = 0x16ba0a0, prev = 0x0,
  children = 0x106b500, last = 0x13d63e0, parent = 0x106ae60, inline_end = 0x0, float_children = 0x0,
  next_float = 0x0, float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0, node = 0x0}
(gdb) p *box->parent->parent->parent->parent->parent->parent->parent->parent
$10 = {type = BOX_BLOCK, flags = 2112, styles = 0x12a15d0, style = 0x106ac10, x = 10, y = 0,
  width = 963, height = 61105, descendant_x0 = 0, descendant_y0 = -9, descendant_x1 = 1005,
  descendant_y1 = 61105, margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0,
  min_width = 96, max_width = 18688, byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0,
  target = 0x0, title = 0x0, columns = 1, rows = 1, start_column = 0, next = 0x16bd830, prev = 0x0,
  children = 0x106b320, last = 0x16bd650, parent = 0x106aa80, inline_end = 0x0, float_children = 0x0,
  next_float = 0x0, float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x12bf640, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0,
  node = 0x112b390}
(gdb) p *box->parent->parent->parent->parent->parent->parent->parent->parent->parent
$11 = {type = BOX_BLOCK, flags = 2112, styles = 0x10cb250, style = 0x106a830, x = 0, y = 310,
  width = 963, height = 61105, descendant_x0 = 0, descendant_y0 = -9, descendant_x1 = 1015,
  descendant_y1 = 61105, margin = {0, 0, 0, 0}, padding = {0, 10, 0, 10}, border = {{
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0,
  min_width = 116, max_width = 18708, byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0,
  target = 0x0, title = 0x0, columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x1065740,
  children = 0x106ae60, last = 0x16bd830, parent = 0x10650a0, inline_end = 0x0, float_children = 0x0,
  next_float = 0x0, float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0,
  node = 0x112ae80}
(gdb) p *box->parent->parent->parent->parent->parent->parent->parent->parent->parent->parent
$12 = {type = BOX_BLOCK, flags = 2112, styles = 0x1077700, style = 0x1064d70, x = 0, y = 5, width = 983,
  height = 61415, descendant_x0 = 0, descendant_y0 = -15, descendant_x1 = 1015, descendant_y1 = 61415,
  margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 116, max_width = 18708,
  byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0, target = 0x0, title = 0x0,
  columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x0, children = 0x1065740,
  last = 0x106aa80, parent = 0x1064be0, inline_end = 0x0, float_children = 0x0, next_float = 0x0,
  float_container = 0x0, clear_level = 1868785012, list_marker = 0x0, col = 0x0, gadget = 0x0,
  usemap = 0x0, id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0,
  node = 0x1123990}
(gdb) p *box->parent->parent->parent->parent->parent->parent->parent->parent->parent->parent->parent
$13 = {type = BOX_BLOCK, flags = 2112, styles = 0xffe6f0, style = 0x1314e50, x = 0, y = 0, width = 983,
  height = 61420, descendant_x0 = 0, descendant_y0 = -10, descendant_x1 = 1015, descendant_y1 = 61420,
  margin = {0, 0, 0, 0}, padding = {0, 0, 0, 0}, border = {{style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {
      style = CSS_BORDER_STYLE_NONE, c = 4278190080, width = 0}, {style = CSS_BORDER_STYLE_NONE,
      c = 4278190080, width = 0}}, scroll_x = 0x0, scroll_y = 0x0, min_width = 116, max_width = 18708,
  byte_offset = 0, text = 0x0, length = 0, space = 0, href = 0x0, target = 0x0, title = 0x0,
  columns = 1, rows = 1, start_column = 0, next = 0x0, prev = 0x0, children = 0x10650a0,
  last = 0x10650a0, parent = 0x0, inline_end = 0x0, float_children = 0x13d63e0, next_float = 0x0,
  float_container = 0x0, clear_level = 0, list_marker = 0x0, col = 0x0, gadget = 0x0, usemap = 0x0,
  id = 0x0, background = 0x0, object = 0x0, object_params = 0x0, iframe = 0x0, node = 0x10d9660}
Vincent Sanders

~0000872

Vincent Sanders (administrator)

Last edited: 2015-07-05 22:20

View 2 revisions

ok its boxes generated from the source data:

 
  • <img class="s-5 l-9 center" src="https://www.piano-tuners.org/site-images/abpt-nav-logo.gif" alt="abpt logo.gif - 2099 Bytes" />


  • remove this and we render it just fine

    in fact just removing the class does. So it is related to the styling

    Vincent Sanders

    ~0000873

    Vincent Sanders (administrator)

    the failing boxes parent is created with render/box_construct.c:1548:box_image()

    called from 863:box_construct_element()

    I cannot immediately see how a child box is created in that case.
    Michael Drake

    ~0000875

    Michael Drake (administrator)

    Last edited: 2015-07-08 22:20

    View 2 revisions

    The attached test.html and image reproduce the bug here.

    It looks like something related to generated pseudo elements (:after in this case) that is happening on the initial layout pass before image dimensions are known.

    More investigation needed.

    Vincent Sanders

    ~0001224

    Vincent Sanders (administrator)

    Confirmed fixed in 3.4 release
    +Notes

    -Issue History
    Date Modified Username Field Change
    2015-07-03 18:40 Harriet Bazley New Issue
    2015-07-03 18:40 Harriet Bazley File Added: Log
    2015-07-04 22:28 Vincent Sanders Status new => confirmed
    2015-07-04 22:28 Vincent Sanders Additional Information Updated View Revisions
    2015-07-05 21:45 Vincent Sanders Note Added: 0000869
    2015-07-05 22:00 Vincent Sanders Note Added: 0000870
    2015-07-05 22:02 Vincent Sanders Note Added: 0000871
    2015-07-05 22:18 Vincent Sanders Note Added: 0000872
    2015-07-05 22:20 Vincent Sanders Note Edited: 0000872 View Revisions
    2015-07-05 22:22 Vincent Sanders Assigned To => Michael Drake
    2015-07-05 22:22 Vincent Sanders Product Version => 3.4
    2015-07-06 21:14 Vincent Sanders Note Added: 0000873
    2015-07-08 22:17 Michael Drake File Added: abpt-nav-logo.gif
    2015-07-08 22:17 Michael Drake File Added: test.html
    2015-07-08 22:19 Michael Drake Note Added: 0000875
    2015-07-08 22:20 Michael Drake Note Edited: 0000875 View Revisions
    2016-02-09 16:56 Michael Drake Status confirmed => resolved
    2016-02-09 16:56 Michael Drake Resolution open => fixed
    2016-02-09 16:56 Michael Drake Fixed in Version => 3.4
    2016-02-09 16:56 Michael Drake Target Version => 3.4
    2016-02-16 13:51 Vincent Sanders Note Added: 0001224
    2016-02-16 13:51 Vincent Sanders Status resolved => closed
    +Issue History